package com.ruoyi.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 告警管理对象 warn_manage
 * 
 * @author boman
 * @date 2025-05-07
 */
public class WarnManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 告警ID */
    private Long warnId;

    /** 告警类别 */
    @Excel(name = "告警类别")
    private String warnType;

    /** 告警标识 */
    @Excel(name = "告警标识")
    private String warnSign;

    /** 通道ID */
    @Excel(name = "通道ID")
    private Long channelId;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String videoAddress;

    /** 上报地址 */
    @Excel(name = "上报地址")
    private String reportAddress;

    /** 上报状态 */
    @Excel(name = "上报状态")
    private String reportStatus;

    /** 告警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "告警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date warnTime;

    /** 告警预览图片 */
    @Excel(name = "告警预览图片")
    private String warnImage;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setWarnId(Long warnId) 
    {
        this.warnId = warnId;
    }

    public Long getWarnId() 
    {
        return warnId;
    }

    public void setWarnType(String warnType) 
    {
        this.warnType = warnType;
    }

    public String getWarnType() 
    {
        return warnType;
    }

    public void setWarnSign(String warnSign) 
    {
        this.warnSign = warnSign;
    }

    public String getWarnSign() 
    {
        return warnSign;
    }

    public void setChannelId(Long channelId) 
    {
        this.channelId = channelId;
    }

    public Long getChannelId() 
    {
        return channelId;
    }

    public void setVideoAddress(String videoAddress) 
    {
        this.videoAddress = videoAddress;
    }

    public String getVideoAddress() 
    {
        return videoAddress;
    }

    public void setReportAddress(String reportAddress) 
    {
        this.reportAddress = reportAddress;
    }

    public String getReportAddress() 
    {
        return reportAddress;
    }

    public void setReportStatus(String reportStatus) 
    {
        this.reportStatus = reportStatus;
    }

    public String getReportStatus() 
    {
        return reportStatus;
    }

    public void setWarnTime(Date warnTime) 
    {
        this.warnTime = warnTime;
    }

    public Date getWarnTime() 
    {
        return warnTime;
    }

    public void setWarnImage(String warnImage) 
    {
        this.warnImage = warnImage;
    }

    public String getWarnImage() 
    {
        return warnImage;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("warnId", getWarnId())
            .append("warnType", getWarnType())
            .append("warnSign", getWarnSign())
            .append("channelId", getChannelId())
            .append("videoAddress", getVideoAddress())
            .append("reportAddress", getReportAddress())
            .append("reportStatus", getReportStatus())
            .append("warnTime", getWarnTime())
            .append("warnImage", getWarnImage())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
